# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: nrm1977@gmail.com-20121010174502-maa7bg2c3k095u7w
# target_branch: http://bzr.nvaccess.org/nvda/main/
# testament_sha1: 20cb5da513c65392e2df7408047951336bb4112b
# timestamp: 2012-10-10 19:55:31 +0200
# base_revision_id: mhameed@src.gnome.org-20121010092625-\
#   ecs90q4v3tdl4yjy
# 
# Begin patch
=== modified file 'source/addonHandler.py'
--- source/addonHandler.py	2012-09-14 00:14:35 +0000
+++ source/addonHandler.py	2012-10-10 17:45:02 +0000
@@ -291,6 +291,28 @@
 			if func:
 				func(*args,**kwargs)
 
+
+
+
+	def getDocFolder(self):
+		langs = [languageHandler.getLanguage(), "en"]
+		for lang in langs:
+			docFolder = os.path.join(self.path, "doc", lang)
+			if os.path.isdir(docFolder):
+				return docFolder
+			if "_" in lang:
+				tryLang = lang.split("_")[0]
+				docFolder = os.path.join(self.path, "doc", tryLang)
+				if os.path.isdir(docFolder):
+					return docFolder
+				if tryLang == "en":
+					break
+			elif lang == "en":
+				break
+		return None
+
+
+
 def getCodeAddon(obj=None, frameDist=1):
 	""" Returns the L{Addon} where C{obj} is defined. If obj is None the caller code frame is assumed to allow simple retrieval of "current calling addon".
 	@param obj: python object or None for default behaviour.
@@ -466,3 +488,12 @@
 	@property
 	def errors(self):
 		return self._errors
+
+
+
+def getDocPath(fileName="readme.txt"):
+	addon = getCodeAddon(frameDist=2)
+	path = os.path.join(addon.getDocFolder(), fileName)
+	if os.path.isfile(path):
+		return path
+	return addon.getDocFolder()

# Begin bundle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